org.apache.sysds.runtime.matrix.data

## Class MatrixBlock.SparsityEstimate

- java.lang.Object
- - org.apache.sysds.runtime.matrix.data.MatrixBlock.SparsityEstimate

Enclosing class:
  MatrixBlock

    public static class MatrixBlock.SparsityEstimate
    extends Object

### Field Summary

Fields
`long` `estimatedNonZeros`
`boolean` `sparse`

### Constructor Summary

Constructors
Constructor and Description
`SparsityEstimate()`
`SparsityEstimate(boolean sps, long nnzs)`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### estimatedNonZeros

    public long estimatedNonZeros

#### sparse

    public boolean sparse

### Constructor Detail

#### SparsityEstimate

    public SparsityEstimate(boolean sps,
                            long nnzs)

#### SparsityEstimate

    public SparsityEstimate()